Bug 139992 - [65cat] [core]Please make Quick search movable in toolbar
[65cat] [core]Please make Quick search movable in toolbar
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Quick Search
6.x
PC Windows XP
: P4 (vote)
: 6.x
Assigned To: Ondrej Langr
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-15 08:01 UTC by _ theanuradha
Modified: 2008-12-22 13:45 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ theanuradha 2008-07-15 08:01:25 UTC
[ JDK VERSION : 1.6.0 ]

[core]Please make Quick search movable in toolbar

It currently locked for right corner (that's fine)it should movable
if user want to
Comment 1 David Simonek 2008-07-15 13:09:01 UTC
According to our HIE expert olangr, Qsearch should be locked on right side and not moveable. So current impl is fine.
Passing to him.
Comment 2 Ondrej Langr 2008-07-15 15:52:46 UTC
Closing as WONTFIX. 

It became standard to locate search in the fixed position in right upper corner (firefox, thunderbird, apple's
spotlight, ...).
Comment 3 _ theanuradha 2008-07-16 13:47:29 UTC
firefox and thunderbird  can move search (right click on tool bar and select customize then drag search toolbar )
Comment 4 Ondrej Langr 2008-07-16 15:45:55 UTC
Wow .. that't total news for me .. thanks for the hint ;).

If the customization will be as hidden as in FF/Thunderbird, I don't care :). I just don't think it is very important
and my only requirements are that the search should stay in top right corner even when the window is resized (within
reasonable boundaries), that dynamically changing toolbar items (e.g. when debugging) should not change it's position
and that it should not have any visible positioning artifacts around it.


Comment 5 _ theanuradha 2008-07-16 16:11:32 UTC
>>customization will be as hidden as in FF/Thunderbird
well it is the way they do that because FF/Thunderbird you can't drag and customize like netbeans by default.
If you want to change tool bar you have to go with right click on tool bar and select customize then drag search toolbar.

But in netbeans by deafult you can drag and customize without any thing so user may expect to behave like that 
Comment 6 nvarun 2008-07-16 20:42:48 UTC
It was movable even in Milestone 1, then what's the issue having it again for next release?
Comment 7 _ theanuradha 2008-07-16 20:44:34 UTC
well M1 is too old we are talking about latest dev builds 
Comment 8 Ondrej Langr 2008-07-17 10:04:08 UTC
nvarun: If we just enabled the separators (as was the case in M1), the position would not be fixed. I.e. the search
position would change in case the NetBeans window is resized or when toolbar configuration changes (in debugging mode). 

Keeping it movable yet in the fixed position would require extra implementation effort, AFAIK. 

Comment 9 karmagfa 2008-07-17 18:36:59 UTC
I personally don't think that this component should be on the right side by default.
I am working with a dual screen, and my second one is where I put Netbeans.

Beleive me, it is a pain to mouse my mouse across 2 screens to reach the right corner
when there is no reason more than purely esthetic to do so.

Please, at least let the users move it if they want. Yesterday I tried to move it today and it triggered an exception.
Then I saw on the website of Netbeans that a lot of users found the same problem, so it probably means that a lot of
users were not satisfied of this location and also wanted to move this component to another place :p

I vote for this issue.
Comment 10 Ondrej Langr 2008-07-18 09:58:04 UTC
> I personally don't think that this component should be on the right side by default.

Where do you think it should be by default? 

> I am working with a dual screen, and my second one is where I put Netbeans.
> Beleive me, it is a pain to mouse my mouse across 2 screens to reach the right corner

Can you describe your setup in more detail? You have editor pane on the left screen, yet you have netbeans across both
of them? How do you do with palette & properties windows? Screenshot would help a lot here ...

Just asking because it seems (without knowing much about your setup) that there may be general problems we do not
address for this layout ... 
Comment 11 karmagfa 2008-07-18 18:21:34 UTC
> Where do you think it should be by default? 

The place where I want to drag it is the right side of the memory meter.

It is better to minimize the effort of the user when he have to mouse his mouse to access the frequently used
components. That's why it is better to group everything accessible by the mouse on the same area of the screen. On the
upper left-to-middle, there is already the menu, the run/debug buttons and the tabs of the editor. By opposition, in the
upper-right corner, there is nothing except the search component.

I totally understand that you tried your best to keep the search component in a place easy to find, but take a look at
the help menu .. it is always on the right end of the menu for this purpose, but it is still not on the right side of
the screen. I feel that we can do the same for the search component.

> Can you describe your setup in more detail?
> You have editor pane on the left screen, yet you have netbeans across both of them?

I use MSVC++ on my right screen, and Netbeans on my wiiiddddde left screen.

Sometimes, I put Netbeans on both if I need to see a lot of Java files at the same time, the IDE on the right, and some
additional tabs on the left.

> How do you do with palette & properties windows? Screenshot would help a lot here ...

I am not using the palette and properties windows, I am writting JSE code most of the time.

PS: Please keep in mind that the goal of this RFE is to have the users free to choose where to place the search
component on the toolbar.
Comment 12 karmagfa 2008-07-18 18:24:53 UTC
Sorry, I got confused between the right and left.

> I use MSVC++ on my right screen, and Netbeans on my wiiiddddde left screen.

I meant MSVC++ on my LEFT screen, and Netbeans on my wiiiddddde RIGHT screen.

>Sometimes, I put Netbeans on both if I need to see a lot of Java files at the same time, the IDE on the right, and some
additional tabs on the left.

I meant "the IDE on the LEFT, and some additional tabs on the RIGHT.
Comment 13 Ondrej Langr 2008-07-22 09:21:19 UTC
Thanks for clarification of your screen layout. We'll consider this enhancement probably for 7.0 .. (as a part of next
window system redesign).
Comment 14 Stanislav Aubrecht 2008-11-28 11:29:13 UTC
reporter, please review the new toolbar implementation and reopen this issue if you're not still satisfied - the
quicksearch bar can be made moveable easily enough now

4f828389f2be


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo